(function($) {
  Drupal.behaviors.cm_agenda_live = {
    attach : function(context, settings) {
      updatePresenter(true);
      setInterval(updatePresenter, 1000);
      setInterval(googlePing, 30000);
    }
  };

  function updatePresenter(force) {
    force = typeof force !== 'undefined' ? force : false;
    $.ajax({
      url : '/ajax/agenda/' + Drupal.settings.cm_agenda_live.agenda_nid,
      success : function(data) {
        //$('#cm-agenda-events').replaceWith(data.html);
        setTimeout(function() {
          $('#cm-agenda-speaker-0').html(data.speaker);
          $('.cm-agenda-chapter-container').html(data.chapter);
          $('.cm-agenda-info-container .cm-agenda-info-title').html(data.background_title);
          $('.cm-agenda-info-container .cm-agenda-info-text').html(data.background_text);
          if(data.background_title != '') {
            console.log('active');
            $('.cm-agenda-info').addClass("active");
          } else {
            $('.cm-agenda-info').removeClass("active");
            console.log('notactive');
          }
          // Adding script for scrollbar customization with enscroll
          $('.scrollbox').enscroll({
            addPaddingToPane: false
          });
        }, force ? 0 : data.delay * 1000);
      }
    });
  }

  function googlePing() {
    if ( typeof (_gaq) !== 'undefined') {
      _gaq.push(['_trackEvent', 'cm_agenda', 'Ping30s', Drupal.settings.cm_agenda_live.agenda_title + ' [' + Drupal.settings.cm_agenda_live.agenda_nid + ']']);
      console.log('ping');
    }
  }

})(jQuery);
